use async_google_apis_common as agac;
use hyper::body::Bytes;
use serde::Serialize;

#[derive(Serialize)]
struct Abc {
    f: i64,
}

fn main() {
    let s = "Hello World".as_bytes();
    let b = Bytes::from(s);
    let m = Abc { f: 43 };
    let mp = agac::multipart::format_multipart(&m, b).unwrap();
    let mps = String::from_utf8(mp.to_vec()).unwrap();
    println!("{}", mps);
}
